using System.ComponentModel;
using System;
public class GridData : INotifyPropertyChanged
    {
        private int id;
        private string name;
        private string rec_desc;
        private Uri img;

        public int ID
        {
            get { return id; }
            set
            {
                if (id != value)
                {
                    id = value;
                    OnPropertyChanged("ID");
                }
            }
        }

        public string Name
        {
            get { return name; }
            set
            {
                if (name != value)
                {
                    name = value;
                    OnPropertyChanged("Name");
                }
            }
        }

        public string RecDesc
        {
            get { return rec_desc; }
            set
            {
                if (rec_desc != value)
                {
                    rec_desc = value;
                    OnPropertyChanged("RecDesc");
                }
            }
        }

        public Uri Image
        {
            get { return img; }
            set
            {
                if (img != value)
                {
                    img = value;
                    OnPropertyChanged("Image");
                }
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }